Subject: [bug#77193] [PATCH 1/1] gnu: gnunet: Update to 0.24.0.

From: Noé Lopez <[email-masked]>
Date: Tue, 29 Apr 2025 11:47:42 +0200

Andreas Enge <[email-masked]> writes:

> Hello Noé,
>
> Am Sun, Mar 23, 2025 at 12:10:31AM +0100 schrieb Noé Lopez:
>> Miniupnpc is needed at runtime
>
> thanks for the patch! I could also build with tests.
> Could you elaborate on miniupnpc, preferably explain why it is needed
> directly in the Guix source code?
>
> According to the gnunet website, it is only an optional dependency.
> And there are so many binaries in the package that I suppose one could
> make use of gnunet without installing miniupnpc. Could this then not be
> left as an option to the user installing gnunet?
>

That’s true, for me its needed to connect since my network is NAT. But I
guess since it is a runtime dependency it can still work without.

Should we at least document this dependency in the package description?

> Or alternatively, is there a way to patch the source code to make things
> work without propagation?
>

It is, but I suppose we don’t want to do it if we keep it as a runtime
dependency. I’ll send a new patch for 0.24.1 without miniupnpc.

> Andreas